Index: G:/DOC/Components/Atmel/AVR_ISP/avrdude/src/config_gram.c
===================================================================
--- G:/DOC/Components/Atmel/AVR_ISP/avrdude/src/config_gram.c	(revision 1)
+++ G:/DOC/Components/Atmel/AVR_ISP/avrdude/src/config_gram.c	(working copy)
@@ -135,625 +293,1081 @@
 static int which_opcode(TOKEN * opcode);
 static int parse_cmdbits(OPCODE * op);
  
-#ifndef YYSTYPE
-#define YYSTYPE int
+
+
+/* Enabling traces.  */
+#ifndef YYDEBUG
+# define YYDEBUG 0
 #endif
-#include <stdio.h>
 
-#ifndef __cplusplus
-#ifndef __STDC__
-#define const
+/* Enabling verbose error messages.  */
+#ifdef YYERROR_VERBOSE
+# undef YYERROR_VERBOSE
+# define YYERROR_VERBOSE 1
+#else
+# define YYERROR_VERBOSE 0
 #endif
+
+/* Enabling the token table.  */
+#ifndef YYTOKEN_TABLE
+# define YYTOKEN_TABLE 0
 #endif
 
+#if ! defined (YYSTYPE) && ! defined (YYSTYPE_IS_DECLARED)
+typedef int YYSTYPE;
+# define yystype YYSTYPE /* obsolescent; will be withdrawn */
+# define YYSTYPE_IS_DECLARED 1
+# define YYSTYPE_IS_TRIVIAL 1
+#endif
 
 
-#define	YYFINAL		268
-#define	YYFLAG		-32768
-#define	YYNTBASE	96
 
-#define YYTRANSLATE(x) ((unsigned)(x) <= 349 ? yytranslate[x] : 117)
+/* Copy the second part of user declarations.  */
 
-static const char yytranslate[] = {     0,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
-     2,     2,     2,     2,     2,     1,     3,     4,     5,     6,
-     7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
-    17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
-    27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
-    37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
-    47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
-    57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
-    67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
-    77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
-    87,    88,    89,    90,    91,    92,    93,    94,    95
-};
 
-#if YYDEBUG != 0
-static const short yyprhs[] = {     0,
-     0,     1,     3,     5,     8,    11,    14,    19,    24,    29,
-    30,    34,    35,    39,    41,    45,    47,    51,    54,    58,
-    62,    66,    70,    74,    78,    82,    86,    90,    94,    98,
-   102,   106,   110,   114,   118,   122,   126,   130,   134,   138,
-   143,   148,   153,   158,   163,   168,   173,   178,   180,   182,
-   184,   186,   188,   190,   192,   194,   196,   198,   200,   203,
-   207,   209,   211,   213,   215,   217,   219,   223,   227,   231,
-   235,   239,   243,   247,   251,   255,   259,   263,   267,   271,
-   275,   279,   283,   287,   291,   295,   299,   303,   307,   311,
-   315,   319,   323,   327,   331,   335,   336,   341,   345,   347,
-   349,   352,   356,   360,   364,   368,   372,   376,   380,   384,
-   388,   392,   396,   400,   404,   408,   412
-};
+/* Line 219 of yacc.c.  */
+#line 330 "../config_gram.c"
 
-static const short yyrhs[] = {    -1,
-    97,     0,    98,     0,    97,    98,     0,    99,    91,     0,
-   101,    91,     0,    23,    90,    94,    91,     0,    22,    90,
-    94,    91,     0,    24,    90,    94,    91,     0,     0,    46,
-   100,   105,     0,     0,    44,   102,   108,     0,    94,     0,
-   103,    89,    94,     0,    93,     0,   104,    89,    93,     0,
-   106,    91,     0,   105,   106,    91,     0,    32,    90,   103,
-     0,    63,    90,    42,     0,    63,    90,    55,     0,    63,
-    90,    59,     0,    63,    90,    60,     0,    63,    90,    61,
-     0,    63,    90,    62,     0,    63,    90,    34,     0,    25,
-    90,    94,     0,    64,    90,   104,     0,    19,    90,   104,
-     0,    17,    90,    93,     0,    53,    90,    93,     0,    57,
-    90,    93,     0,    39,    90,    93,     0,    38,    90,    93,
-     0,    30,    90,    93,     0,    49,    90,    93,     0,    45,
-    90,    93,     0,    65,    90,    93,     0,    53,    90,    92,
-    93,     0,    57,    90,    92,    93,     0,    39,    90,    92,
-    93,     0,    38,    90,    92,    93,     0,    30,    90,    92,
-    93,     0,    49,    90,    92,    93,     0,    45,    90,    92,
-    93,     0,    65,    90,    92,    93,     0,     3,     0,     4,
-     0,     5,     0,     6,     0,     7,     0,     8,     0,     9,
-     0,    10,     0,    11,     0,    12,     0,    13,     0,   112,
-    91,     0,   108,   112,    91,     0,    21,     0,    33,     0,
-   114,     0,    47,     0,    53,     0,    57,     0,    32,    90,
-    94,     0,    25,    90,    94,     0,    26,    90,    93,     0,
-    27,    90,    93,     0,    28,    90,    93,     0,    20,    90,
-    93,     0,    41,    90,    93,     0,    18,    90,    93,     0,
-    53,    90,   109,     0,    68,    90,    93,     0,    69,    90,
-    93,     0,    70,    90,    93,     0,    71,    90,    93,     0,
-    72,    90,    93,     0,    73,    90,    93,     0,    74,    90,
-    93,     0,    75,    90,    93,     0,    76,    90,    93,     0,
-    77,    90,    93,     0,    84,    90,   114,     0,    82,    90,
-   114,     0,    83,    90,   114,     0,    85,    90,    93,     0,
-    86,    90,    93,     0,    87,    90,    93,     0,    88,    90,
-    93,     0,    56,    90,   114,     0,    43,    90,   110,     0,
-    54,    90,   111,     0,     0,    14,    94,   113,   115,     0,
-   107,    90,   103,     0,    67,     0,    66,     0,   116,    91,
-     0,   115,   116,    91,     0,    16,    90,   114,     0,    58,
-    90,    93,     0,    15,    90,    93,     0,    40,    90,    93,
-     0,    37,    90,    93,     0,    36,    90,    93,     0,    48,
-    90,   114,     0,    50,    90,    93,     0,    51,    90,    93,
-     0,    78,    90,    93,     0,    79,    90,    93,     0,    80,
-    90,    93,     0,    81,    90,    93,     0,    74,    90,    93,
-     0,   107,    90,   103,     0
-};
+#if ! defined (YYSIZE_T) && defined (__SIZE_TYPE__)
+# define YYSIZE_T __SIZE_TYPE__
+#endif
+#if ! defined (YYSIZE_T) && defined (size_t)
+# define YYSIZE_T size_t
+#endif
+#if ! defined (YYSIZE_T) && (defined (__STDC__) || defined (__cplusplus))
+# include <stddef.h> /* INFRINGES ON USER NAME SPACE */
+# define YYSIZE_T size_t
+#endif
+#if ! defined (YYSIZE_T)
+# define YYSIZE_T unsigned int
+#endif
 
+#ifndef YY_
+# if YYENABLE_NLS
+#  if ENABLE_NLS
+#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
+#   define YY_(msgid) dgettext ("bison-runtime", msgid)
+#  endif
+# endif
+# ifndef YY_
+#  define YY_(msgid) msgid
+# endif
 #endif
 
-#if YYDEBUG != 0
-static const short yyrline[] = { 0,
-   173,   174,   177,   178,   183,   184,   186,   192,   198,   208,
-   215,   233,   241,   295,   296,   301,   302,   307,   308,   313,
-   323,   329,   335,   341,   347,   353,   359,   365,   371,   396,
-   421,   427,   430,   432,   433,   434,   435,   436,   437,   438,
-   441,   443,   444,   445,   446,   447,   448,   453,   454,   455,
-   456,   457,   458,   459,   460,   461,   462,   463,   468,   469,
-   474,   475,   478,   479,   482,   483,   486,   492,   499,   509,
-   516,   523,   529,   535,   541,   551,   557,   563,   569,   575,
-   581,   587,   593,   599,   605,   611,   621,   631,   641,   647,
-   653,   659,   665,   675,   694,   708,   726,   729,   747,   748,
-   752,   753,   758,   763,   769,   776,   782,   788,   794,   800,
-   806,   812,   819,   825,   831,   837,   843
-};
+#if ! defined (yyoverflow) || YYERROR_VERBOSE
+
+/* The parser invokes alloca or malloc; define the necessary symbols.  */
+
+# ifdef YYSTACK_USE_ALLOCA
+#  if YYSTACK_USE_ALLOCA
+#   ifdef __GNUC__
+#    define YYSTACK_ALLOC __builtin_alloca
+#   else
+#    define YYSTACK_ALLOC alloca
+#    if defined (__STDC__) || defined (__cplusplus)
+#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
+#     define YYINCLUDED_STDLIB_H
+#    endif
+#   endif
+#  endif
+# endif
+
+# ifdef YYSTACK_ALLOC
+   /* Pacify GCC's `empty if-body' warning. */
+#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
+#  ifndef YYSTACK_ALLOC_MAXIMUM
+    /* The OS might guarantee only one guard page at the bottom of the stack,
+       and a page size can be as small as 4096 bytes.  So we cannot safely
+       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
+       to allow for a few compiler-allocated temporary stack slots.  */
+#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2005 */
+#  endif
+# else
+#  define YYSTACK_ALLOC YYMALLOC
+#  define YYSTACK_FREE YYFREE
+#  ifndef YYSTACK_ALLOC_MAXIMUM
+#   define YYSTACK_ALLOC_MAXIMUM ((YYSIZE_T) -1)
+#  endif
+#  ifdef __cplusplus
+extern "C" {
+#  endif
+#  ifndef YYMALLOC
+#   define YYMALLOC malloc
+#   if (! defined (malloc) && ! defined (YYINCLUDED_STDLIB_H) \
+	&& (defined (__STDC__) || defined (__cplusplus)))
+void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
+#   endif
+#  endif
+#  ifndef YYFREE
+#   define YYFREE free
+#   if (! defined (free) && ! defined (YYINCLUDED_STDLIB_H) \
+	&& (defined (__STDC__) || defined (__cplusplus)))
+void free (void *); /* INFRINGES ON USER NAME SPACE */
+#   endif
+#  endif
+#  ifdef __cplusplus
+}
+#  endif
+# endif
+#endif /* ! defined (yyoverflow) || YYERROR_VERBOSE */
+
+
+#if (! defined (yyoverflow) \
+     && (! defined (__cplusplus) \
+	 || (defined (YYSTYPE_IS_TRIVIAL) && YYSTYPE_IS_TRIVIAL)))
+
+/* A type that is properly aligned for any stack member.  */
+union yyalloc
+{
+  short int yyss;
+  YYSTYPE yyvs;
+  };
+
+/* The size of the maximum gap between one aligned stack and the next.  */
+# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)
+
+/* The size of an array large to enough to hold all stacks, each with
+   N elements.  */
+# define YYSTACK_BYTES(N) \
+     ((N) * (sizeof (short int) + sizeof (YYSTYPE))			\
+      + YYSTACK_GAP_MAXIMUM)
+
+/* Copy COUNT objects from FROM to TO.  The source and destination do
+   not overlap.  */
+# ifndef YYCOPY
+#  if defined (__GNUC__) && 1 < __GNUC__
+#   define YYCOPY(To, From, Count) \
+      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
+#  else
+#   define YYCOPY(To, From, Count)		\
+      do					\
+	{					\
+	  YYSIZE_T yyi;				\
+	  for (yyi = 0; yyi < (Count); yyi++)	\
+	    (To)[yyi] = (From)[yyi];		\
+	}					\
+      while (0)
+#  endif
+# endif
+
+/* Relocate STACK from its old location to the new one.  The
+   local variables YYSIZE and YYSTACKSIZE give the old and new number of
+   elements in the stack, and YYPTR gives the new location of the
+   stack.  Advance YYPTR to a properly aligned location for the next
+   stack.  */
+# define YYSTACK_RELOCATE(Stack)					\
+    do									\
+      {									\
+	YYSIZE_T yynewbytes;						\
+	YYCOPY (&yyptr->Stack, Stack, yysize);				\
+	Stack = &yyptr->Stack;						\
+	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
+	yyptr += yynewbytes / sizeof (*yyptr);				\
+      }									\
+    while (0)
+
 #endif
 
+#if defined (__STDC__) || defined (__cplusplus)
+   typedef signed char yysigned_char;
+#else
+   typedef short int yysigned_char;
+#endif
 
-#if YYDEBUG != 0 || defined (YYERROR_VERBOSE)
+/* YYFINAL -- State number of the termination state. */
+#define YYFINAL  20
+/* YYLAST -- Last index in YYTABLE.  */
+#define YYLAST   272
 
-static const char * const yytname[] = {   "$","error","$undefined.","K_READ",
-"K_WRITE","K_READ_LO","K_READ_HI","K_WRITE_LO","K_WRITE_HI","K_LOADPAGE_LO",
-"K_LOADPAGE_HI","K_WRITEPAGE","K_CHIP_ERASE","K_PGM_ENABLE","K_MEMORY","K_PAGE_SIZE",
-"K_PAGED","K_BAUDRATE","K_BS2","K_BUFF","K_CHIP_ERASE_DELAY","K_DEDICATED","K_DEFAULT_PARALLEL",
-"K_DEFAULT_PROGRAMMER","K_DEFAULT_SERIAL","K_DESC","K_DEVICECODE","K_STK500_DEVCODE",
-"K_AVR910_DEVCODE","K_EEPROM","K_ERRLED","K_FLASH","K_ID","K_IO","K_JTAG_MKII",
-"K_LOADPAGE","K_MAX_WRITE_DELAY","K_MIN_WRITE_DELAY","K_MISO","K_MOSI","K_NUM_PAGES",
-"K_PAGEL","K_PAR","K_PARALLEL","K_PART","K_PGMLED","K_PROGRAMMER","K_PSEUDO",
-"K_PWROFF_AFTER_WRITE","K_RDYLED","K_READBACK_P1","K_READBACK_P2","K_READMEM",
-"K_RESET","K_RETRY_PULSE","K_SERBB","K_SERIAL","K_SCK","K_SIZE","K_STK500","K_STK500V2",
-"K_AVR910","K_BUTTERFLY","K_TYPE","K_VCC","K_VFYLED","K_NO","K_YES","K_TIMEOUT",
-"K_STABDELAY","K_CMDEXEDELAY","K_SYNCHLOOPS","K_BYTEDELAY","K_POLLVALUE","K_POLLINDEX",
-"K_PREDELAY","K_POSTDELAY","K_POLLMETHOD","K_MODE","K_DELAY","K_BLOCKSIZE","K_READSIZE",
-"K_ALLOWFULLPAGEBITSTREAM","K_ENABLEPAGEPROGRAMMING","K_HAS_JTAG","K_IDR","K_RAMPZ",
-"K_SPMCR","K_EECR","TKN_COMMA","TKN_EQUAL","TKN_SEMI","TKN_TILDE","TKN_NUMBER",
-"TKN_STRING","TKN_ID","configuration","config","def","prog_def","@1","part_def",
-"@2","string_list","num_list","prog_parms","prog_parm","opcode","part_parms",
-"reset_disposition","parallel_modes","retry_lines","part_parm","@3","yesno",
-"mem_specs","mem_spec", NULL
+/* YYNTOKENS -- Number of terminals. */
+#define YYNTOKENS  99
+/* YYNNTS -- Number of nonterminals. */
+#define YYNNTS  22
+/* YYNRULES -- Number of rules. */
+#define YYNRULES  121
+/* YYNRULES -- Number of states. */
+#define YYNSTATES  279
+
+/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
+#define YYUNDEFTOK  2
+#define YYMAXUTOK   353
+
+#define YYTRANSLATE(YYX)						\
+  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)
+
+/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
+static const unsigned char yytranslate[] =
+{
+       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
+       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
+       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
+      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
+      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
+      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
+      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
+      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
+      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
+      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
+      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
+      95,    96,    97,    98
 };
-#endif
 
-static const short yyr1[] = {     0,
-    96,    96,    97,    97,    98,    98,    98,    98,    98,   100,
-    99,   102,   101,   103,   103,   104,   104,   105,   105,   106,
-   106,   106,   106,   106,   106,   106,   106,   106,   106,   106,
-   106,   106,   106,   106,   106,   106,   106,   106,   106,   106,
-   106,   106,   106,   106,   106,   106,   106,   107,   107,   107,
-   107,   107,   107,   107,   107,   107,   107,   107,   108,   108,
-   109,   109,   110,   110,   111,   111,   112,   112,   112,   112,
-   112,   112,   112,   112,   112,   112,   112,   112,   112,   112,
-   112,   112,   112,   112,   112,   112,   112,   112,   112,   112,
-   112,   112,   112,   112,   112,   113,   112,   112,   114,   114,
-   115,   115,   116,   116,   116,   116,   116,   116,   116,   116,
-   116,   116,   116,   116,   116,   116,   116
+#if YYDEBUG
+/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
+   YYRHS.  */
+static const unsigned short int yyprhs[] =
+{
+       0,     0,     3,     4,     6,     8,    11,    14,    17,    22,
+      27,    32,    37,    42,    43,    47,    48,    52,    54,    58,
+      60,    64,    67,    71,    75,    79,    83,    87,    91,    95,
+      99,   103,   107,   111,   115,   119,   123,   127,   131,   135,
+     139,   143,   147,   151,   156,   161,   166,   171,   176,   181,
+     186,   191,   193,   195,   197,   199,   201,   203,   205,   207,
+     209,   211,   213,   216,   220,   222,   224,   226,   228,   230,
+     232,   236,   240,   244,   248,   252,   256,   260,   264,   268,
+     272,   276,   280,   284,   288,   292,   296,   300,   304,   308,
+     312,   316,   320,   324,   328,   332,   336,   340,   344,   348,
+     349,   354,   358,   360,   362,   365,   369,   373,   377,   381,
+     385,   389,   393,   397,   401,   405,   409,   413,   417,   421,
+     425,   429
 };
 
-static const short yyr2[] = {     0,
-     0,     1,     1,     2,     2,     2,     4,     4,     4,     0,
-     3,     0,     3,     1,     3,     1,     3,     2,     3,     3,
-     3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
-     3,     3,     3,     3,     3,     3,     3,     3,     3,     4,
-     4,     4,     4,     4,     4,     4,     4,     1,     1,     1,
-     1,     1,     1,     1,     1,     1,     1,     1,     2,     3,
-     1,     1,     1,     1,     1,     1,     3,     3,     3,     3,
-     3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
-     3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
-     3,     3,     3,     3,     3,     0,     4,     3,     1,     1,
-     2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
-     3,     3,     3,     3,     3,     3,     3
+/* YYRHS -- A `-1'-separated list of the rules' RHS. */
+static const yysigned_char yyrhs[] =
+{
+     100,     0,    -1,    -1,   101,    -1,   102,    -1,   101,   102,
+      -1,   103,    91,    -1,   105,    91,    -1,    23,    90,    94,
+      91,    -1,    22,    90,    94,    91,    -1,    24,    90,    94,
+      91,    -1,    97,    90,    93,    91,    -1,    98,    90,    93,
+      91,    -1,    -1,    46,   104,   109,    -1,    -1,    44,   106,
+     112,    -1,    94,    -1,   107,    89,    94,    -1,    93,    -1,
+     108,    89,    93,    -1,   110,    91,    -1,   109,   110,    91,
+      -1,    32,    90,   107,    -1,    63,    90,    42,    -1,    63,
+      90,    55,    -1,    63,    90,    59,    -1,    63,    90,    60,
+      -1,    63,    90,    61,    -1,    63,    90,    62,    -1,    63,
+      90,    34,    -1,    25,    90,    94,    -1,    64,    90,   108,
+      -1,    19,    90,   108,    -1,    17,    90,    93,    -1,    53,
+      90,    93,    -1,    57,    90,    93,    -1,    39,    90,    93,
+      -1,    38,    90,    93,    -1,    30,    90,    93,    -1,    49,
+      90,    93,    -1,    45,    90,    93,    -1,    65,    90,    93,
+      -1,    53,    90,    92,    93,    -1,    57,    90,    92,    93,
+      -1,    39,    90,    92,    93,    -1,    38,    90,    92,    93,
+      -1,    30,    90,    92,    93,    -1,    49,    90,    92,    93,
+      -1,    45,    90,    92,    93,    -1,    65,    90,    92,    93,
+      -1,     3,    -1,     4,    -1,     5,    -1,     6,    -1,     7,
+      -1,     8,    -1,     9,    -1,    10,    -1,    11,    -1,    12,
+      -1,    13,    -1,   116,    91,    -1,   112,   116,    91,    -1,
+      21,    -1,    33,    -1,   118,    -1,    47,    -1,    53,    -1,
+      57,    -1,    32,    90,    94,    -1,    25,    90,    94,    -1,
+      26,    90,    93,    -1,    27,    90,    93,    -1,    28,    90,
+      93,    -1,    20,    90,    93,    -1,    41,    90,    93,    -1,
+      18,    90,    93,    -1,    53,    90,   113,    -1,    68,    90,
+      93,    -1,    69,    90,    93,    -1,    70,    90,    93,    -1,
+      71,    90,    93,    -1,    72,    90,    93,    -1,    73,    90,
+      93,    -1,    74,    90,    93,    -1,    75,    90,    93,    -1,
+      76,    90,    93,    -1,    77,    90,    93,    -1,    84,    90,
+     118,    -1,    82,    90,   118,    -1,    83,    90,   118,    -1,
+      85,    90,    93,    -1,    86,    90,    93,    -1,    87,    90,
+      93,    -1,    88,    90,    93,    -1,    56,    90,   118,    -1,
+      43,    90,   114,    -1,    54,    90,   115,    -1,    -1,    14,
+      94,   117,   119,    -1,   111,    90,   107,    -1,    67,    -1,
+      66,    -1,   120,    91,    -1,   119,   120,    91,    -1,    16,
+      90,   118,    -1,    58,    90,    93,    -1,    96,    90,    93,
+      -1,    15,    90,    93,    -1,    40,    90,    93,    -1,    37,
+      90,    93,    -1,    36,    90,    93,    -1,    48,    90,   118,
+      -1,    50,    90,    93,    -1,    51,    90,    93,    -1,    78,
+      90,    93,    -1,    79,    90,    93,    -1,    80,    90,    93,
+      -1,    81,    90,    93,    -1,    74,    90,    93,    -1,   111,
+      90,   107,    -1
 };
 
-static const short yydefact[] = {     1,
-     0,     0,     0,    12,    10,     2,     3,     0,     0,     0,
-     0,     0,     0,     0,     4,     5,     6,     0,     0,     0,
-    48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
-    58,     0,     0,     0,     0,     0,     0,     0,     0,     0,
-     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
-     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
-     0,     0,    13,     0,     0,     0,     0,     0,     0,     0,
-     0,     0,     0,     0,     0,     0,     0,     0,    11,     0,
-     8,     7,     9,    96,     0,     0,     0,     0,     0,     0,
-     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
-     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
-     0,     0,     0,     0,     0,    59,     0,     0,     0,     0,
-     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
-     0,    18,     0,    74,    72,    68,    69,    70,    71,    67,
-    73,    64,   100,    99,    94,    63,    61,    62,    75,    65,
-    66,    95,    93,    76,    77,    78,    79,    80,    81,    82,
-    83,    84,    85,    87,    88,    86,    89,    90,    91,    92,
-    14,    98,    60,    31,    16,    30,    28,     0,    36,    20,
-     0,    35,     0,    34,     0,    38,     0,    37,     0,    32,
-     0,    33,    27,    21,    22,    23,    24,    25,    26,    29,
-     0,    39,    19,     0,     0,     0,     0,     0,     0,     0,
-     0,     0,     0,     0,     0,     0,     0,     0,    97,     0,
-     0,     0,    44,    43,    42,    46,    45,    40,    41,    47,
-     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
-     0,     0,     0,     0,     0,     0,   101,    15,    17,   105,
-   103,   108,   107,   106,   109,   110,   111,   104,   116,   112,
-   113,   114,   115,   117,   102,     0,     0,     0
+/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
+static const unsigned short int yyrline[] =
+{
+       0,   176,   176,   177,   181,   182,   187,   189,   191,   197,
+     203,   208,   216,   228,   227,   253,   252,   314,   315,   320,
+     321,   326,   327,   332,   343,   349,   355,   361,   367,   373,
+     379,   385,   391,   416,   441,   447,   449,   451,   452,   453,
+     454,   455,   456,   458,   460,   462,   463,   464,   465,   466,
+     467,   472,   473,   474,   475,   476,   477,   478,   479,   480,
+     481,   482,   487,   488,   493,   493,   497,   497,   501,   501,
+     505,   512,   519,   529,   536,   543,   549,   555,   561,   571,
+     577,   583,   589,   595,   601,   607,   613,   619,   625,   631,
+     641,   651,   661,   667,   673,   679,   685,   695,   714,   738,
+     737,   749,   766,   766,   771,   772,   777,   783,   789,   795,
+     801,   807,   813,   819,   825,   831,   838,   844,   850,   856,
+     862,   869
 };
+#endif
 
-static const short yydefgoto[] = {   266,
-     6,     7,     8,    14,     9,    13,   172,   176,    79,    80,
-    62,    63,   149,   145,   152,    64,   133,   146,   219,   220
+#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
+/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
+   First, the terminals, then, starting at YYNTOKENS, nonterminals. */
+static const char *const yytname[] =
+{
+  "$end", "error", "$undefined", "K_READ", "K_WRITE", "K_READ_LO",
+  "K_READ_HI", "K_WRITE_LO", "K_WRITE_HI", "K_LOADPAGE_LO",
+  "K_LOADPAGE_HI", "K_WRITEPAGE", "K_CHIP_ERASE", "K_PGM_ENABLE",
+  "K_MEMORY", "K_PAGE_SIZE", "K_PAGED", "K_BAUDRATE", "K_BS2", "K_BUFF",
+  "K_CHIP_ERASE_DELAY", "K_DEDICATED", "K_DEFAULT_PARALLEL",
+  "K_DEFAULT_PROGRAMMER", "K_DEFAULT_SERIAL", "K_DESC", "K_DEVICECODE",
+  "K_STK500_DEVCODE", "K_AVR910_DEVCODE", "K_EEPROM", "K_ERRLED",
+  "K_FLASH", "K_ID", "K_IO", "K_JTAG_MKII", "K_LOADPAGE",
+  "K_MAX_WRITE_DELAY", "K_MIN_WRITE_DELAY", "K_MISO", "K_MOSI",
+  "K_NUM_PAGES", "K_PAGEL", "K_PAR", "K_PARALLEL", "K_PART", "K_PGMLED",
+  "K_PROGRAMMER", "K_PSEUDO", "K_PWROFF_AFTER_WRITE", "K_RDYLED",
+  "K_READBACK_P1", "K_READBACK_P2", "K_READMEM", "K_RESET",
+  "K_RETRY_PULSE", "K_SERBB", "K_SERIAL", "K_SCK", "K_SIZE", "K_STK500",
+  "K_STK500V2", "K_AVR910", "K_BUTTERFLY", "K_TYPE", "K_VCC", "K_VFYLED",
+  "K_NO", "K_YES", "K_TIMEOUT", "K_STABDELAY", "K_CMDEXEDELAY",
+  "K_SYNCHLOOPS", "K_BYTEDELAY", "K_POLLVALUE", "K_POLLINDEX",
+  "K_PREDELAY", "K_POSTDELAY", "K_POLLMETHOD", "K_MODE", "K_DELAY",
+  "K_BLOCKSIZE", "K_READSIZE", "K_ALLOWFULLPAGEBITSTREAM",
+  "K_ENABLEPAGEPROGRAMMING", "K_HAS_JTAG", "K_IDR", "K_RAMPZ", "K_SPMCR",
+  "K_EECR", "TKN_COMMA", "TKN_EQUAL", "TKN_SEMI", "TKN_TILDE",
+  "TKN_NUMBER", "TKN_STRING", "TKN_ID", "K_WORD_SIZE",
+  "K_DEFAULT_FASTWRITE", "K_DEFAULT_FASTVERIFY", "$accept",
+  "configuration", "config", "def", "prog_def", "@1", "part_def", "@2",
+  "string_list", "num_list", "prog_parms", "prog_parm", "opcode",
+  "part_parms", "reset_disposition", "parallel_modes", "retry_lines",
+  "part_parm", "@3", "yesno", "mem_specs", "mem_spec", 0
 };
+#endif
 
-static const short yypact[] = {    -8,
-   -53,   -50,   -47,-32768,-32768,    -8,-32768,   -31,   -30,   -29,
-   -28,   -23,    21,   144,-32768,-32768,-32768,   -19,   -18,   -15,
--32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
--32768,   -14,   -12,   -11,    -9,    -7,    -6,    -5,    -4,    -3,
-     9,    10,    11,    12,    31,    34,    36,    37,    38,    39,
-    40,    41,    42,    43,    44,    45,    47,    48,    49,    51,
-    52,    55,    21,    57,    56,    59,    60,    61,    62,    63,
-    64,    66,    69,    70,    72,    74,    76,    77,   144,    79,
--32768,-32768,-32768,-32768,    75,    78,    81,    80,    84,    85,
-    86,    91,   -44,   -16,   -49,   -60,    97,    98,    99,   101,
-   102,   103,   105,   106,   109,   110,   -60,   -60,   -60,   111,
-   112,   113,   117,   118,    88,-32768,   120,   121,   122,   -83,
-   118,   -74,   -72,   -48,   -41,   -38,   -36,     8,   121,   -34,
-   124,-32768,   107,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
--32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
--32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
--32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
--32768,    83,-32768,-32768,-32768,   128,-32768,   125,-32768,    83,
-   126,-32768,   127,-32768,   129,-32768,   130,-32768,   131,-32768,
-   132,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,   128,
-   133,-32768,-32768,   137,   138,   139,   140,   141,   142,   143,
-   145,   146,   147,   148,   149,   150,   151,   152,   107,   153,
-   154,   156,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-   157,   -60,   158,   159,   160,   -60,   161,   162,   163,   164,
-   165,   166,   167,   168,   118,   155,-32768,-32768,-32768,-32768,
--32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
--32768,-32768,-32768,    83,-32768,    82,   200,-32768
+# ifdef YYPRINT
+/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
+   token YYLEX-NUM.  */
+static const unsigned short int yytoknum[] =
+{
+       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
+     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
+     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
+     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
+     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
+     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
+     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
+     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
+     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
+     345,   346,   347,   348,   349,   350,   351,   352,   353
 };
+# endif
 
-static const short yypgoto[] = {-32768,
--32768,   205,-32768,-32768,-32768,-32768,  -120,    92,-32768,   183,
-  -131,-32768,-32768,-32768,-32768,   171,-32768,   -96,-32768,    24
+/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
+static const unsigned char yyr1[] =
+{
+       0,    99,   100,   100,   101,   101,   102,   102,   102,   102,
+     102,   102,   102,   104,   103,   106,   105,   107,   107,   108,
+     108,   109,   109,   110,   110,   110,   110,   110,   110,   110,
+     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
+     110,   110,   110,   110,   110,   110,   110,   110,   110,   110,
+     110,   111,   111,   111,   111,   111,   111,   111,   111,   111,
+     111,   111,   112,   112,   113,   113,   114,   114,   115,   115,
+     116,   116,   116,   116,   116,   116,   116,   116,   116,   116,
+     116,   116,   116,   116,   116,   116,   116,   116,   116,   116,
+     116,   116,   116,   116,   116,   116,   116,   116,   116,   117,
+     116,   116,   118,   118,   119,   119,   120,   120,   120,   120,
+     120,   120,   120,   120,   120,   120,   120,   120,   120,   120,
+     120,   120
 };
 
+/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
+static const unsigned char yyr2[] =
+{
+       0,     2,     0,     1,     1,     2,     2,     2,     4,     4,
+       4,     4,     4,     0,     3,     0,     3,     1,     3,     1,
+       3,     2,     3,     3,     3,     3,     3,     3,     3,     3,
+       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
+       3,     3,     3,     4,     4,     4,     4,     4,     4,     4,
+       4,     1,     1,     1,     1,     1,     1,     1,     1,     1,
+       1,     1,     2,     3,     1,     1,     1,     1,     1,     1,
+       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
+       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
+       3,     3,     3,     3,     3,     3,     3,     3,     3,     0,
+       4,     3,     1,     1,     2,     3,     3,     3,     3,     3,
+       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
+       3,     3
+};
 
-#define	YYLAST		262
+/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
+   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
+   means the default is an error.  */
+static const unsigned char yydefact[] =
+{
+       2,     0,     0,     0,    15,    13,     0,     0,     0,     3,
+       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
+       1,     5,     6,     7,     0,     0,     0,    51,    52,    53,
+      54,    55,    56,    57,    58,    59,    60,    61,     0,     0,
+       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
+       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
+       0,     0,     0,     0,     0,     0,     0,     0,     0,    16,
+       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
+       0,     0,     0,     0,     0,    14,     0,     0,     0,     9,
+       8,    10,    99,     0,     0,     0,     0,     0,     0,     0,
+       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
+       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
+       0,     0,     0,     0,    62,     0,     0,     0,     0,     0,
+       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
+      21,    11,    12,     0,    77,    75,    71,    72,    73,    74,
+      70,    76,    67,   103,   102,    97,    66,    64,    65,    78,
+      68,    69,    98,    96,    79,    80,    81,    82,    83,    84,
+      85,    86,    87,    88,    90,    91,    89,    92,    93,    94,
+      95,    17,   101,    63,    34,    19,    33,    31,     0,    39,
+      23,     0,    38,     0,    37,     0,    41,     0,    40,     0,
+      35,     0,    36,    30,    24,    25,    26,    27,    28,    29,
+      32,     0,    42,    22,     0,     0,     0,     0,     0,     0,
+       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
+     100,     0,     0,     0,    47,    46,    45,    49,    48,    43,
+      44,    50,     0,     0,     0,     0,     0,     0,     0,     0,
+       0,     0,     0,     0,     0,     0,     0,     0,     0,   104,
+      18,    20,   109,   106,   112,   111,   110,   113,   114,   115,
+     107,   120,   116,   117,   118,   119,   108,   121,   105
+};
 
+/* YYDEFGOTO[NTERM-NUM]. */
+static const short int yydefgoto[] =
+{
+      -1,     8,     9,    10,    11,    17,    12,    16,   182,   186,
+      85,    86,    68,    69,   159,   155,   162,    70,   143,   156,
+     230,   231
+};
 
-static const short yytable[] = {   153,
-   180,   218,   142,   150,   147,   143,   144,   151,   178,   179,
-   164,   165,   166,     1,     2,     3,   148,   181,   182,   183,
-   184,   143,   144,    21,    22,    23,    24,    25,    26,    27,
-    28,    29,    30,    31,    32,     4,    10,     5,    33,    11,
-    34,   193,    12,   185,   186,    35,    36,    37,    38,   194,
-   187,   188,    39,   189,   190,   191,   192,   201,   202,    16,
-    17,    40,   195,    41,    18,    19,   196,   197,   198,   199,
-    20,    81,    82,    42,    43,    83,    44,    85,    86,    84,
-    87,   267,    88,    89,    90,    91,    92,   218,    45,    46,
-    47,    48,    49,    50,    51,    52,    53,    54,    93,    94,
-    95,    96,    55,    56,    57,    58,    59,    60,    61,    21,
-    22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
-    97,   204,   205,    98,   264,    99,   100,   101,   102,   103,
-   104,   105,   106,   107,   108,   251,   109,   110,   111,   255,
-   112,   113,   206,   207,   114,   117,   208,   116,   118,   119,
-   120,   121,   122,   123,   209,   124,   210,   211,   125,   126,
-    65,   127,    66,   128,   212,   129,   130,   134,    67,   132,
-   135,   221,   137,    68,   136,    69,   138,   139,   173,   140,
-   213,    70,    71,   141,   214,   215,   216,   217,    72,   154,
-   155,   156,    73,   157,   158,   159,    74,   160,   161,   268,
-    75,   162,   163,   167,   168,   169,    76,    77,    78,   170,
-    15,   171,   174,   175,   203,   177,   222,   223,   224,   225,
-   200,   226,   227,   228,   229,   230,   231,   232,   233,   234,
-   235,   236,   237,   115,   238,   239,   240,   241,   242,   243,
-   244,   245,   246,   247,     0,   265,     0,   248,   249,   250,
-   252,   253,   254,   256,   257,   258,   259,   260,   261,   262,
-   263,   131
+/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
+   STATE-NUM.  */
+#define YYPACT_NINF -138
+static const short int yypact[] =
+{
+     -15,   -80,   -47,   -44,  -138,  -138,   -40,   -38,    32,   -15,
+    -138,   -31,   -21,   -23,   -19,   -18,    91,   163,   -16,   -14,
+    -138,  -138,  -138,  -138,   -17,   -13,   -11,  -138,  -138,  -138,
+    -138,  -138,  -138,  -138,  -138,  -138,  -138,  -138,   -10,    -9,
+      -4,    -3,    -2,    16,    18,    20,    22,    23,    24,    25,
+      30,    31,    34,    35,    36,    37,    38,    40,    41,    43,
+      45,    46,    47,    48,    50,    51,    52,    56,    58,    91,
+      59,    61,    62,    63,    64,    65,    66,    67,    68,    79,
+      80,    81,    82,    93,    94,   163,    90,    95,    96,  -138,
+    -138,  -138,  -138,    29,    92,    55,    97,    98,    99,   100,
+     103,   -22,     9,   -20,   -64,   104,   105,   106,   107,   110,
+     111,   112,   113,   114,   116,   -64,   -64,   -64,   117,   118,
+     120,   121,   123,   124,  -138,   125,   126,   127,   -88,   123,
+     -58,   -54,   -52,   -35,   -29,   -27,    -6,   126,   -25,   131,
+    -138,  -138,  -138,    11,  -138,  -138,  -138,  -138,  -138,  -138,
+    -138,  -138,  -138,  -138,  -138,  -138,  -138,  -138,  -138,  -138,
+    -138,  -138,  -138,  -138,  -138,  -138,  -138,  -138,  -138,  -138,
+    -138,  -138,  -138,  -138,  -138,  -138,  -138,  -138,  -138,  -138,
+    -138,  -138,   134,  -138,  -138,  -138,   135,  -138,   132,  -138,
+     134,   136,  -138,   137,  -138,   138,  -138,   139,  -138,   140,
+    -138,   141,  -138,  -138,  -138,  -138,  -138,  -138,  -138,  -138,
+     135,   142,  -138,  -138,   146,   147,   148,   149,   150,   151,
+     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
+      11,   162,   164,   166,  -138,  -138,  -138,  -138,  -138,  -138,
+    -138,  -138,   167,   -64,   168,   169,   170,   -64,   171,   172,
+     173,   174,   175,   176,   177,   178,   179,   123,   165,  -138,
+    -138,  -138,  -138,  -138,  -138,  -138,  -138,  -138,  -138,  -138,
+    -138,  -138,  -138,  -138,  -138,  -138,  -138,   134,  -138
 };
 
-static const short yycheck[] = {    96,
-   121,   133,    47,    53,    21,    66,    67,    57,    92,    93,
-   107,   108,   109,    22,    23,    24,    33,    92,    93,    92,
-    93,    66,    67,     3,     4,     5,     6,     7,     8,     9,
-    10,    11,    12,    13,    14,    44,    90,    46,    18,    90,
-    20,    34,    90,    92,    93,    25,    26,    27,    28,    42,
-    92,    93,    32,    92,    93,    92,    93,    92,    93,    91,
-    91,    41,    55,    43,    94,    94,    59,    60,    61,    62,
-    94,    91,    91,    53,    54,    91,    56,    90,    90,    94,
-    90,     0,    90,    90,    90,    90,    90,   219,    68,    69,
-    70,    71,    72,    73,    74,    75,    76,    77,    90,    90,
-    90,    90,    82,    83,    84,    85,    86,    87,    88,     3,
-     4,     5,     6,     7,     8,     9,    10,    11,    12,    13,
-    90,    15,    16,    90,   245,    90,    90,    90,    90,    90,
-    90,    90,    90,    90,    90,   232,    90,    90,    90,   236,
-    90,    90,    36,    37,    90,    90,    40,    91,    90,    90,
-    90,    90,    90,    90,    48,    90,    50,    51,    90,    90,
-    17,    90,    19,    90,    58,    90,    90,    93,    25,    91,
-    93,    89,    93,    30,    94,    32,    93,    93,    91,    94,
-    74,    38,    39,    93,    78,    79,    80,    81,    45,    93,
-    93,    93,    49,    93,    93,    93,    53,    93,    93,     0,
-    57,    93,    93,    93,    93,    93,    63,    64,    65,    93,
-     6,    94,    93,    93,    91,    94,    89,    93,    93,    93,
-   129,    93,    93,    93,    93,    93,    90,    90,    90,    90,
-    90,    90,    90,    63,    90,    90,    90,    90,    90,    90,
-    90,    90,   219,    91,    -1,    91,    -1,    94,    93,    93,
-    93,    93,    93,    93,    93,    93,    93,    93,    93,    93,
-    93,    79
+/* YYPGOTO[NTERM-NUM].  */
+static const short int yypgoto[] =
+{
+    -138,  -138,  -138,   180,  -138,  -138,  -138,  -138,  -128,   -65,
+    -138,   -12,  -137,  -138,  -138,  -138,  -138,   183,  -138,  -104,
+    -138,    27
 };
-/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
-#line 3 "/usr/share/bison.simple"
-/* This file comes from bison-1.28.  */
 
-/* Skeleton output parser for bison,
-   Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc.
+/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
+   positive, shift that token.  If negative, reduce the rule which
+   number is the opposite.  If zero, do what YYDEFACT says.
+   If YYTABLE_NINF, syntax error.  */
+#define YYTABLE_NINF -1
+static const unsigned short int yytable[] =
+{
+     163,   190,   153,   154,   188,   189,   229,     1,     2,     3,
+      13,   174,   175,   176,    27,    28,    29,    30,    31,    32,
+      33,    34,    35,    36,    37,   152,   214,   215,   203,     4,
+     157,     5,    20,   160,   191,   192,   204,   161,   193,   194,
+     195,   196,   158,    14,   153,   154,    15,   216,   217,   205,
+      18,   218,    19,   206,   207,   208,   209,   197,   198,   219,
+      22,   220,   221,   199,   200,   201,   202,   211,   212,   222,
+      23,    24,   210,   139,    89,    25,    26,    87,    90,    88,
+      91,    93,     6,     7,    92,   223,    94,    95,    96,   224,
+     225,   226,   227,   229,    27,    28,    29,    30,    31,    32,
+      33,    34,    35,    36,    37,    38,    97,   228,    98,    39,
+      99,    40,   100,   101,   102,   103,    41,    42,    43,    44,
+     104,   105,   144,    45,   106,   107,   108,   109,   110,   277,
+     111,   112,    46,   113,    47,   114,   115,   116,   117,   263,
+     118,   119,   120,   267,    48,    49,   121,    50,   122,   146,
+     124,   125,   126,   127,   128,   129,   130,   131,   132,    51,
+      52,    53,    54,    55,    56,    57,    58,    59,    60,   133,
+     134,   135,   136,    61,    62,    63,    64,    65,    66,    67,
+      71,   140,    72,   137,   138,   145,   141,   142,    73,    21,
+     147,   148,   149,    74,   150,    75,   151,   164,   165,   166,
+     167,    76,    77,   168,   169,   170,   171,   172,    78,   173,
+     177,   178,    79,   179,   180,   183,    80,   181,   184,   185,
+      81,   187,   213,   232,   233,   234,    82,    83,    84,   235,
+     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
+     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
+     256,   257,   123,   259,     0,     0,   278,   258,   260,   261,
+     262,   264,   265,   266,   268,   269,   270,   271,   272,   273,
+     274,   275,   276
+};
 
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
+static const short int yycheck[] =
+{
+     104,   129,    66,    67,    92,    93,   143,    22,    23,    24,
+      90,   115,   116,   117,     3,     4,     5,     6,     7,     8,
+       9,    10,    11,    12,    13,    47,    15,    16,    34,    44,
+      21,    46,     0,    53,    92,    93,    42,    57,    92,    93,
+      92,    93,    33,    90,    66,    67,    90,    36,    37,    55,
+      90,    40,    90,    59,    60,    61,    62,    92,    93,    48,
+      91,    50,    51,    92,    93,    92,    93,    92,    93,    58,
+      91,    94,   137,    85,    91,    94,    94,    93,    91,    93,
+      91,    90,    97,    98,    94,    74,    90,    90,    90,    78,
+      79,    80,    81,   230,     3,     4,     5,     6,     7,     8,
+       9,    10,    11,    12,    13,    14,    90,    96,    90,    18,
+      90,    20,    90,    90,    90,    90,    25,    26,    27,    28,
+      90,    90,    93,    32,    90,    90,    90,    90,    90,   257,
+      90,    90,    41,    90,    43,    90,    90,    90,    90,   243,
+      90,    90,    90,   247,    53,    54,    90,    56,    90,    94,
+      91,    90,    90,    90,    90,    90,    90,    90,    90,    68,
+      69,    70,    71,    72,    73,    74,    75,    76,    77,    90,
+      90,    90,    90,    82,    83,    84,    85,    86,    87,    88,
+      17,    91,    19,    90,    90,    93,    91,    91,    25,     9,
+      93,    93,    93,    30,    94,    32,    93,    93,    93,    93,
+      93,    38,    39,    93,    93,    93,    93,    93,    45,    93,
+      93,    93,    49,    93,    93,    91,    53,    94,    93,    93,
+      57,    94,    91,    89,    89,    93,    63,    64,    65,    93,
+      93,    93,    93,    93,    93,    93,    90,    90,    90,    90,
+      90,    90,    90,    90,    90,    90,    90,    90,    90,    90,
+      90,    90,    69,    91,    -1,    -1,    91,   230,    94,    93,
+      93,    93,    93,    93,    93,    93,    93,    93,    93,    93,
+      93,    93,    93
+};
 
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
+/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
+   symbol of state STATE-NUM.  */
+static const unsigned char yystos[] =
+{
+       0,    22,    23,    24,    44,    46,    97,    98,   100,   101,
+     102,   103,   105,    90,    90,    90,   106,   104,    90,    90,
+       0,   102,    91,    91,    94,    94,    94,     3,     4,     5,
+       6,     7,     8,     9,    10,    11,    12,    13,    14,    18,
+      20,    25,    26,    27,    28,    32,    41,    43,    53,    54,
+      56,    68,    69,    70,    71,    72,    73,    74,    75,    76,
+      77,    82,    83,    84,    85,    86,    87,    88,   111,   112,
+     116,    17,    19,    25,    30,    32,    38,    39,    45,    49,
+      53,    57,    63,    64,    65,   109,   110,    93,    93,    91,
+      91,    91,    94,    90,    90,    90,    90,    90,    90,    90,
+      90,    90,    90,    90,    90,    90,    90,    90,    90,    90,
+      90,    90,    90,    90,    90,    90,    90,    90,    90,    90,
+      90,    90,    90,   116,    91,    90,    90,    90,    90,    90,
+      90,    90,    90,    90,    90,    90,    90,    90,    90,   110,
+      91,    91,    91,   117,    93,    93,    94,    93,    93,    93,
+      94,    93,    47,    66,    67,   114,   118,    21,    33,   113,
+      53,    57,   115,   118,    93,    93,    93,    93,    93,    93,
+      93,    93,    93,    93,   118,   118,   118,    93,    93,    93,
+      93,    94,   107,    91,    93,    93,   108,    94,    92,    93,
+     107,    92,    93,    92,    93,    92,    93,    92,    93,    92,
+      93,    92,    93,    34,    42,    55,    59,    60,    61,    62,
+     108,    92,    93,    91,    15,    16,    36,    37,    40,    48,
+      50,    51,    58,    74,    78,    79,    80,    81,    96,   111,
+     119,   120,    89,    89,    93,    93,    93,    93,    93,    93,
+      93,    93,    90,    90,    90,    90,    90,    90,    90,    90,
+      90,    90,    90,    90,    90,    90,    90,    90,   120,    91,
+      94,    93,    93,   118,    93,    93,    93,   118,    93,    93,
+      93,    93,    93,    93,    93,    93,    93,   107,    91
+};
 
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place - Suite 330,
-   Boston, MA 02111-1307, USA.  */
-
-/* As a special exception, when this file is copied by Bison into a
-   Bison output file, you may use that output file without restriction.
-   This special exception was added by the Free Software Foundation
-   in version 1.24 of Bison.  */
-
-/* This is the parser code that is written into each bison parser
-  when the %semantic_parser declaration is not specified in the grammar.
-  It was written by Richard Stallman by simplifying the hairy parser
-  used when %semantic_parser is specified.  */
-
-#ifndef YYSTACK_USE_ALLOCA
-#ifdef alloca
-#define YYSTACK_USE_ALLOCA
-#else /* alloca not defined */
-#ifdef __GNUC__
-#define YYSTACK_USE_ALLOCA
-#define alloca __builtin_alloca
-#else /* not GNU C.  */
-#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi) || (defined (__sun) && defined (__i386))
-#define YYSTACK_USE_ALLOCA
-#include <alloca.h>
-#else /* not sparc */
-/* We think this test detects Watcom and Microsoft C.  */
-/* This used to test MSDOS, but that is a bad idea
-   since that symbol is in the user namespace.  */
-#if (defined (_MSDOS) || defined (_MSDOS_)) && !defined (__TURBOC__)
-#if 0 /* No need for malloc.h, which pollutes the namespace;
-	 instead, just don't use alloca.  */
-#include <malloc.h>
-#endif
-#else /* not MSDOS, or __TURBOC__ */
-#if defined(_AIX)
-/* I don't know what this was needed for, but it pollutes the namespace.
-   So I turned it off.   rms, 2 May 1997.  */
-/* #include <malloc.h>  */
- #pragma alloca
-#define YYSTACK_USE_ALLOCA
-#else /* not MSDOS, or __TURBOC__, or _AIX */
-#if 0
-#ifdef __hpux /* haible@ilog.fr says this works for HPUX 9.05 and up,
-		 and on HPUX 10.  Eventually we can turn this on.  */
-#define YYSTACK_USE_ALLOCA
-#define alloca __builtin_alloca
-#endif /* __hpux */
-#endif
-#endif /* not _AIX */
-#endif /* not MSDOS, or __TURBOC__ */
-#endif /* not sparc */
-#endif /* not GNU C */
-#endif /* alloca not defined */
-#endif /* YYSTACK_USE_ALLOCA not defined */
-
-#ifdef YYSTACK_USE_ALLOCA
-#define YYSTACK_ALLOC alloca
-#else
-#define YYSTACK_ALLOC malloc
-#endif
-
-/* Note: there must be only one dollar sign in this file.
-   It is replaced by the list of actions, each action
-   as one case of the switch.  */
-
 #define yyerrok		(yyerrstatus = 0)
 #define yyclearin	(yychar = YYEMPTY)
-#define YYEMPTY		-2
+#define YYEMPTY		(-2)
 #define YYEOF		0
+
 #define YYACCEPT	goto yyacceptlab
-#define YYABORT 	goto yyabortlab
-#define YYERROR		goto yyerrlab1
-/* Like YYERROR except do call yyerror.
-   This remains here temporarily to ease the
-   transition to the new meaning of YYERROR, for GCC.
+#define YYABORT		goto yyabortlab
+#define YYERROR		goto yyerrorlab
+
+
+/* Like YYERROR except do call yyerror.  This remains here temporarily
+   to ease the transition to the new meaning of YYERROR, for GCC.
    Once GCC version 2 has supplanted version 1, this can go.  */
+
 #define YYFAIL		goto yyerrlab
+
 #define YYRECOVERING()  (!!yyerrstatus)
-#define YYBACKUP(token, value) \
+
+#define YYBACKUP(Token, Value)					\
 do								\
   if (yychar == YYEMPTY && yylen == 1)				\
-    { yychar = (token), yylval = (value);			\
-      yychar1 = YYTRANSLATE (yychar);				\
+    {								\
+      yychar = (Token);						\
+      yylval = (Value);						\
+      yytoken = YYTRANSLATE (yychar);				\
       YYPOPSTACK;						\
       goto yybackup;						\
     }								\
   else								\
-    { yyerror ("syntax error: cannot back up"); YYERROR; }	\
+    {								\
+      yyerror (YY_("syntax error: cannot back up")); \
+      YYERROR;							\
+    }								\
 while (0)
 
+
 #define YYTERROR	1
 #define YYERRCODE	256
 
-#ifndef YYPURE
-#define YYLEX		yylex()
+
+/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
+   If N is 0, then set CURRENT to the empty location which ends
+   the previous symbol: RHS[0] (always defined).  */
+
+#define YYRHSLOC(Rhs, K) ((Rhs)[K])
+#ifndef YYLLOC_DEFAULT
+# define YYLLOC_DEFAULT(Current, Rhs, N)				\
+    do									\
+      if (N)								\
+	{								\
+	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
+	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
+	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
+	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
+	}								\
+      else								\
+	{								\
+	  (Current).first_line   = (Current).last_line   =		\
+	    YYRHSLOC (Rhs, 0).last_line;				\
+	  (Current).first_column = (Current).last_column =		\
+	    YYRHSLOC (Rhs, 0).last_column;				\
+	}								\
+    while (0)
 #endif
 
-#ifdef YYPURE
-#ifdef YYLSP_NEEDED
-#ifdef YYLEX_PARAM
-#define YYLEX		yylex(&yylval, &yylloc, YYLEX_PARAM)
-#else
-#define YYLEX		yylex(&yylval, &yylloc)
+
+/* YY_LOCATION_PRINT -- Print the location on the stream.
+   This macro was not mandated originally: define only if we know
+   we won't break user code: when these are the locations we know.  */
+
+#ifndef YY_LOCATION_PRINT
+# if YYLTYPE_IS_TRIVIAL
+#  define YY_LOCATION_PRINT(File, Loc)			\
+     fprintf (File, "%d.%d-%d.%d",			\
+              (Loc).first_line, (Loc).first_column,	\
+              (Loc).last_line,  (Loc).last_column)
+# else
+#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
+# endif
 #endif
-#else /* not YYLSP_NEEDED */
+
+
+/* YYLEX -- calling `yylex' with the right arguments.  */
+
 #ifdef YYLEX_PARAM
-#define YYLEX		yylex(&yylval, YYLEX_PARAM)
+# define YYLEX yylex (YYLEX_PARAM)
 #else
-#define YYLEX		yylex(&yylval)
+# define YYLEX yylex ()
 #endif
-#endif /* not YYLSP_NEEDED */
-#endif
 
-/* If nonreentrant, generate the variables here */
+/* Enable debugging if requested.  */
+#if YYDEBUG
 
-#ifndef YYPURE
+# ifndef YYFPRINTF
+#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
+#  define YYFPRINTF fprintf
+# endif
 
-int	yychar;			/*  the lookahead symbol		*/
-YYSTYPE	yylval;			/*  the semantic value of the		*/
-				/*  lookahead symbol			*/
+# define YYDPRINTF(Args)			\
+do {						\
+  if (yydebug)					\
+    YYFPRINTF Args;				\
+} while (0)
 
-#ifdef YYLSP_NEEDED
-YYLTYPE yylloc;			/*  location data for the lookahead	*/
-				/*  symbol				*/
+# define YY_SYMBOL_PRINT(Title, Type, Value, Location)		\
+do {								\
+  if (yydebug)							\
+    {								\
+      YYFPRINTF (stderr, "%s ", Title);				\
+      yysymprint (stderr,					\
+                  Type, Value);	\
+      YYFPRINTF (stderr, "\n");					\
+    }								\
+} while (0)
+
+/*------------------------------------------------------------------.
+| yy_stack_print -- Print the state stack from its BOTTOM up to its |
+| TOP (included).                                                   |
+`------------------------------------------------------------------*/
+
+#if defined (__STDC__) || defined (__cplusplus)
+static void
+yy_stack_print (short int *bottom, short int *top)
+#else
+static void
+yy_stack_print (bottom, top)
+    short int *bottom;
+    short int *top;
 #endif
+{
+  YYFPRINTF (stderr, "Stack now");
+  for (/* Nothing. */; bottom <= top; ++bottom)
+    YYFPRINTF (stderr, " %d", *bottom);
+  YYFPRINTF (stderr, "\n");
+}
 
-int yynerrs;			/*  number of parse errors so far       */
-#endif  /* not YYPURE */
+# define YY_STACK_PRINT(Bottom, Top)				\
+do {								\
+  if (yydebug)							\
+    yy_stack_print ((Bottom), (Top));				\
+} while (0)
 
-#if YYDEBUG != 0
-int yydebug;			/*  nonzero means print parse trace	*/
-/* Since this is uninitialized, it does not stop multiple parsers
-   from coexisting.  */
+
+/*------------------------------------------------.
+| Report that the YYRULE is going to be reduced.  |
+`------------------------------------------------*/
+
+#if defined (__STDC__) || defined (__cplusplus)
+static void
+yy_reduce_print (int yyrule)
+#else
+static void
+yy_reduce_print (yyrule)
+    int yyrule;
 #endif
+{
+  int yyi;
+  unsigned long int yylno = yyrline[yyrule];
+  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu), ",
+             yyrule - 1, yylno);
+  /* Print the symbols being reduced, and their result.  */
+  for (yyi = yyprhs[yyrule]; 0 <= yyrhs[yyi]; yyi++)
+    YYFPRINTF (stderr, "%s ", yytname[yyrhs[yyi]]);
+  YYFPRINTF (stderr, "-> %s\n", yytname[yyr1[yyrule]]);
+}
 
-/*  YYINITDEPTH indicates the initial size of the parser's stacks	*/
+# define YY_REDUCE_PRINT(Rule)		\
+do {					\
+  if (yydebug)				\
+    yy_reduce_print (Rule);		\
+} while (0)
 
+/* Nonzero means print parse trace.  It is left uninitialized so that
+   multiple parsers can coexist.  */
+int yydebug;
+#else /* !YYDEBUG */
+# define YYDPRINTF(Args)
+# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
+# define YY_STACK_PRINT(Bottom, Top)
+# define YY_REDUCE_PRINT(Rule)
+#endif /* !YYDEBUG */
+
+
+/* YYINITDEPTH -- initial size of the parser's stacks.  */
 #ifndef	YYINITDEPTH
-#define YYINITDEPTH 200
+# define YYINITDEPTH 200
 #endif
 
-/*  YYMAXDEPTH is the maximum size the stacks can grow to
-    (effective only if the built-in stack extension method is used).  */
+/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
+   if the built-in stack extension method is used).
 
-#if YYMAXDEPTH == 0
-#undef YYMAXDEPTH
-#endif
+   Do not make this value too large; the results are undefined if
+   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
+   evaluated with infinite-precision integer arithmetic.  */
 
 #ifndef YYMAXDEPTH
-#define YYMAXDEPTH 10000
+# define YYMAXDEPTH 10000
 #endif
+
 
-/* Define __yy_memcpy.  Note that the size argument
-   should be passed with type unsigned int, because that is what the non-GCC
-   definitions require.  With GCC, __builtin_memcpy takes an arg
-   of type size_t, but it can handle unsigned int.  */
 
-#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
-#define __yy_memcpy(TO,FROM,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
-#else				/* not GNU C or C++ */
-#ifndef __cplusplus
+#if YYERROR_VERBOSE
 
-/* This is the most reliable way to avoid incompatibilities
-   in available built-in functions on various systems.  */
-static void
-__yy_memcpy (to, from, count)
-     char *to;
-     char *from;
-     unsigned int count;
+# ifndef yystrlen
+#  if defined (__GLIBC__) && defined (_STRING_H)
+#   define yystrlen strlen
+#  else
+/* Return the length of YYSTR.  */
+static YYSIZE_T
+#   if defined (__STDC__) || defined (__cplusplus)
+yystrlen (const char *yystr)
+#   else
+yystrlen (yystr)
+     const char *yystr;
+#   endif
 {
-  register char *f = from;
-  register char *t = to;
-  register int i = count;
+  const char *yys = yystr;
 
-  while (i-- > 0)
-    *t++ = *f++;
+  while (*yys++ != '\0')
+    continue;
+
+  return yys - yystr - 1;
 }
+#  endif
+# endif
 
-#else /* __cplusplus */
+# ifndef yystpcpy
+#  if defined (__GLIBC__) && defined (_STRING_H) && defined (_GNU_SOURCE)
+#   define yystpcpy stpcpy
+#  else
+/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
+   YYDEST.  */
+static char *
+#   if defined (__STDC__) || defined (__cplusplus)
+yystpcpy (char *yydest, const char *yysrc)
+#   else
+yystpcpy (yydest, yysrc)
+     char *yydest;
+     const char *yysrc;
+#   endif
+{
+  char *yyd = yydest;
+  const char *yys = yysrc;
 
-/* This is the most reliable way to avoid incompatibilities
-   in available built-in functions on various systems.  */
+  while ((*yyd++ = *yys++) != '\0')
+    continue;
+
+  return yyd - 1;
+}
+#  endif
+# endif
+
+# ifndef yytnamerr
+/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
+   quotes and backslashes, so that it's suitable for yyerror.  The
+   heuristic is that double-quoting is unnecessary unless the string
+   contains an apostrophe, a comma, or backslash (other than
+   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
+   null, do not copy; instead, return the length of what the result
+   would have been.  */
+static YYSIZE_T
+yytnamerr (char *yyres, const char *yystr)
+{
+  if (*yystr == '"')
+    {
+      size_t yyn = 0;
+      char const *yyp = yystr;
+
+      for (;;)
+	switch (*++yyp)
+	  {
+	  case '\'':
+	  case ',':
+	    goto do_not_strip_quotes;
+
+	  case '\\':
+	    if (*++yyp != '\\')
+	      goto do_not_strip_quotes;
+	    /* Fall through.  */
+	  default:
+	    if (yyres)
+	      yyres[yyn] = *yyp;
+	    yyn++;
+	    break;
+
+	  case '"':
+	    if (yyres)
+	      yyres[yyn] = '\0';
+	    return yyn;
+	  }
+    do_not_strip_quotes: ;
+    }
+
+  if (! yyres)
+    return yystrlen (yystr);
+
+  return yystpcpy (yyres, yystr) - yyres;
+}
+# endif
+
+#endif /* YYERROR_VERBOSE */
+
+
+
+#if YYDEBUG
+/*--------------------------------.
+| Print this symbol on YYOUTPUT.  |
+`--------------------------------*/
+
+#if defined (__STDC__) || defined (__cplusplus)
 static void
-__yy_memcpy (char *to, char *from, unsigned int count)
+yysymprint (FILE *yyoutput, int yytype, YYSTYPE *yyvaluep)
+#else
+static void
+yysymprint (yyoutput, yytype, yyvaluep)
+    FILE *yyoutput;
+    int yytype;
+    YYSTYPE *yyvaluep;
+#endif
 {
-  register char *t = to;
-  register char *f = from;
-  register int i = count;
+  /* Pacify ``unused variable'' warnings.  */
+  (void) yyvaluep;
 
-  while (i-- > 0)
-    *t++ = *f++;
+  if (yytype < YYNTOKENS)
+    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
+  else
+    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);
+
+
+# ifdef YYPRINT
+  if (yytype < YYNTOKENS)
+    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
+# endif
+  switch (yytype)
+    {
+      default:
+        break;
+    }
+  YYFPRINTF (yyoutput, ")");
 }
 
+#endif /* ! YYDEBUG */
+/*-----------------------------------------------.
+| Release the memory associated to this symbol.  |
+`-----------------------------------------------*/
+
+#if defined (__STDC__) || defined (__cplusplus)
+static void
+yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
+#else
+static void
+yydestruct (yymsg, yytype, yyvaluep)
+    const char *yymsg;
+    int yytype;
+    YYSTYPE *yyvaluep;
 #endif
-#endif
+{
+  /* Pacify ``unused variable'' warnings.  */
+  (void) yyvaluep;
+
+  if (!yymsg)
+    yymsg = "Deleting";
+  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);
+
+  switch (yytype)
+    {
+
+      default:
+        break;
+    }
+}
 
-#line 217 "/usr/share/bison.simple"
 
-/* The user can define YYPARSE_PARAM as the name of an argument to be passed
-   into yyparse.  The argument should have type void *.
-   It should actually point to an object.
-   Grammar actions can access the variable by casting it
-   to the proper pointer type.  */
+/* Prevent warnings from -Wmissing-prototypes.  */
 
 #ifdef YYPARSE_PARAM
-#ifdef __cplusplus
-#define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
-#define YYPARSE_PARAM_DECL
-#else /* not __cplusplus */
-#define YYPARSE_PARAM_ARG YYPARSE_PARAM
-#define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
-#endif /* not __cplusplus */
-#else /* not YYPARSE_PARAM */
-#define YYPARSE_PARAM_ARG
-#define YYPARSE_PARAM_DECL
-#endif /* not YYPARSE_PARAM */
+# if defined (__STDC__) || defined (__cplusplus)
+int yyparse (void *YYPARSE_PARAM);
+# else
+int yyparse ();
+# endif
+#else /* ! YYPARSE_PARAM */
+#if defined (__STDC__) || defined (__cplusplus)
+int yyparse (void);
+#else
+int yyparse ();
+#endif
+#endif /* ! YYPARSE_PARAM */
 
-/* Prevent warning if -Wstrict-prototypes.  */
-#ifdef __GNUC__
+
+
+/* The look-ahead symbol.  */
+int yychar;
+
+/* The semantic value of the look-ahead symbol.  */
+YYSTYPE yylval;
+
+/* Number of syntax errors so far.  */
+int yynerrs;
+
+
+
+/*----------.
+| yyparse.  |
+`----------*/
+
 #ifdef YYPARSE_PARAM
-int yyparse (void *);
+# if defined (__STDC__) || defined (__cplusplus)
+int yyparse (void *YYPARSE_PARAM)
+# else
+int yyparse (YYPARSE_PARAM)
+  void *YYPARSE_PARAM;
+# endif
+#else /* ! YYPARSE_PARAM */
+#if defined (__STDC__) || defined (__cplusplus)
+int
+yyparse (void)
 #else
-int yyparse (void);
+int
+yyparse ()
+    ;
 #endif
 #endif
-
-int
-yyparse(YYPARSE_PARAM_ARG)
-     YYPARSE_PARAM_DECL
 {
-  register int yystate;
-  register int yyn;
-  register short *yyssp;
-  register YYSTYPE *yyvsp;
-  int yyerrstatus;	/*  number of tokens to shift before error messages enabled */
-  int yychar1 = 0;		/*  lookahead token as an internal (translated) token number */
+  
+  int yystate;
+  int yyn;
+  int yyresult;
+  /* Number of tokens to shift before error messages enabled.  */
+  int yyerrstatus;
+  /* Look-ahead token as an internal (translated) token number.  */
+  int yytoken = 0;
 
-  short	yyssa[YYINITDEPTH];	/*  the state stack			*/
-  YYSTYPE yyvsa[YYINITDEPTH];	/*  the semantic value stack		*/
+  /* Three stacks and their tools:
+     `yyss': related to states,
+     `yyvs': related to semantic values,
+     `yyls': related to locations.
 
-  short *yyss = yyssa;		/*  refer to the stacks thru separate pointers */
-  YYSTYPE *yyvs = yyvsa;	/*  to allow yyoverflow to reallocate them elsewhere */
+     Refer to the stacks thru separate pointers, to allow yyoverflow
+     to reallocate them elsewhere.  */
 
-#ifdef YYLSP_NEEDED
-  YYLTYPE yylsa[YYINITDEPTH];	/*  the location stack			*/
-  YYLTYPE *yyls = yylsa;
-  YYLTYPE *yylsp;
+  /* The state stack.  */
+  short int yyssa[YYINITDEPTH];
+  short int *yyss = yyssa;
+  short int *yyssp;
 
-#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
-#else
+  /* The semantic value stack.  */
+  YYSTYPE yyvsa[YYINITDEPTH];
+  YYSTYPE *yyvs = yyvsa;
+  YYSTYPE *yyvsp;
+
+
+
 #define YYPOPSTACK   (yyvsp--, yyssp--)
-#endif
 
-  int yystacksize = YYINITDEPTH;
-  int yyfree_stacks = 0;
+  YYSIZE_T yystacksize = YYINITDEPTH;
 
-#ifdef YYPURE
-  int yychar;
-  YYSTYPE yylval;
-  int yynerrs;
-#ifdef YYLSP_NEEDED
-  YYLTYPE yylloc;
-#endif
-#endif
+  /* The variables used to return semantic value and location from the
+     action routines.  */
+  YYSTYPE yyval;
 
-  YYSTYPE yyval;		/*  the variable used to return		*/
-				/*  semantic values from the action	*/
-				/*  routines				*/
 
+  /* When reducing, the number of symbols on the RHS of the reduced
+     rule.  */
   int yylen;
 
-#if YYDEBUG != 0
-  if (yydebug)
-    fprintf(stderr, "Starting parse\n");
-#endif
+  YYDPRINTF ((stderr, "Starting parse\n"));
 
   yystate = 0;
   yyerrstatus = 0;
